Bug 30932 - Doing a complete installation i got the attached error
Doing a complete installation i got the attached error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-07 02:15 EST by Omar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 11:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omar 2001-03-07 02:15:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)


I was installing redhat 7 withb all option in a 4 gig primary partion, at the last step when install begin i got the attached error

Reproducible: Always
Steps to Reproduce:
1.I started with 4 gig primary partion on drive C, then I deleted this partion during redhad installation and create / =3500, /boot=16, and 
swap=128
2.choose to install all packages
3.when installtion begin I got this attached error

error:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm
total: 0
self: <todo.ToDo instance at 84a5f88>
h: <header object at 8ae86c0>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 84f5540>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdd'
sS'progressWindow'
p9

<failed>

	

Actual Results:  Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm
total: 0
self: <todo.ToDo instance at 84a5f88>
h: <header object at 8ae86c0>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 84f5540>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdd'
sS'progressWindow'
p9

<failed>
Comment 1 Bernhard Rosenkraenzer 2001-03-07 05:31:32 EST
Wrong component, reassigning.
Comment 2 Michael Fulbright 2001-03-09 11:00:26 EST
This means most likely you were getting read errors from your CD. You can look
on VC4 (cntl-alt-vc4) when the above error occurs, and see if there are any
interesting kernel errors.
Comment 3 Michael Fulbright 2001-04-02 16:01:05 EDT
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Note You need to log in before you can comment on or make changes to this bug.